## trunk?format=zip&rev=2541

=== packages/invirt-web/code/Makefile ===
DIRS = templates

all: kill chmod compile

chmod:
	chgrp -R invirt . 2>/dev/null || true
	chmod -R g+w . 2>/dev/null || true

kill:
	-pkill main.fcgi

compile:
	for dir in $(DIRS); do \
		(cd $$dir; $(MAKE) all); \
	done

clean:
	for dir in $(DIRS); do \
		(cd $$dir; $(MAKE) clean); \
	done

=== packages/invirt-base/debian/changelog ===
invirt-base (0.0.26) unstable; urgency=low

  * Add a captureOutput function to invirt.common as a convenient wrapper
    around subprocess.Popen.

 -- Evan Broder <broder@mit.edu>  Sun, 22 Nov 2009 04:35:43 -0500

invirt-base (0.0.25) unstable; urgency=low

  * Add the invirt-system component to the sources.list.

 -- Evan Broder <broder@mit.edu>  Sun, 26 Apr 2009 11:41:25 -0400

invirt-base (0.0.24) unstable; urgency=low

  * Move invirt-setquotas to invirt-database
  * Glob together all scripts instead of listing them

 -- Evan Broder <broder@mit.edu>  Tue, 17 Feb 2009 03:40:50 -0500

invirt-base (0.0.23) unstable; urgency=low

  * another minor bugfix

 -- Peter A. Iannucci <iannucci@mit.edu>  Tue, 17 Feb 2009 03:05:13 -0500

invirt-base (0.0.22) unstable; urgency=low

  * minor bugfix

 -- Peter A. Iannucci <iannucci@mit.edu>  Tue, 17 Feb 2009 02:59:00 -0500

invirt-base (0.0.21) unstable; urgency=low

  * added invirt-setquota script (self-documenting)

 -- Peter A. Iannucci <iannucci@mit.edu>  Tue, 17 Feb 2009 01:43:54 -0500

invirt-base (0.0.20) unstable; urgency=low

  * depend on remctl-client
  * fix usage message in std-init.sh
  * fix whitespace in debathena.list

 -- Greg Price <price@mit.edu>  Sat, 31 Jan 2009 14:35:04 -0500

invirt-base (0.0.19) unstable; urgency=low

  * Use triggers to run invirt-reload whenver one of the config packages
    is updated

 -- Evan Broder <broder@mit.edu>  Mon, 26 Jan 2009 08:06:05 -0500

invirt-base (0.0.18) unstable; urgency=low

  * run_parts_list: fix unclear docstring
  * config-init.sh: degrade to non-bash gracefully, document better
  * invirt.config: fix an error on empty config files
  * invirt.common: give clearer error message on missing config variable
  * invirt.common: handle yaml's None with empty struct for good error message

 -- Greg Price <price@mit.edu>  Sun, 28 Dec 2008 19:18:51 -0500

invirt-base (0.0.17) unstable; urgency=low

  * Remove apticron and molly-guard dependencies,
    to go into the XVM metapackages

 -- Greg Price <price@mit.edu>  Fri, 26 Dec 2008 23:56:34 -0500

invirt-base (0.0.16) unstable; urgency=low

  * Don't reference a config field that we no longer use

 -- Evan Broder <broder@mit.edu>  Wed, 10 Dec 2008 23:04:58 -0500

invirt-base (0.0.15) unstable; urgency=low

  * Stop trying to stuff the XVM site-specific packages into the invirt
    namespace

 -- Evan Broder <broder@mit.edu>  Sun, 07 Dec 2008 09:08:40 -0500

invirt-base (0.0.14) unstable; urgency=low

  * Move the XVM production .k5login out of this package

 -- Evan Broder <broder@mit.edu>  Sat, 06 Dec 2008 14:43:37 -0500

invirt-base (0.0.13) unstable; urgency=low

  * Add a dependency on apticron for all servers

 -- Evan Broder <broder@mit.edu>  Thu, 20 Nov 2008 20:37:40 -0500

invirt-base (0.0.12) unstable; urgency=low

  * Change the apt source list for production
  * Punt hardy-backports, since the servers have it enabled on their side

 -- Evan Broder <broder@mit.edu>  Sat, 15 Nov 2008 10:16:23 -0500

invirt-base (0.0.11) unstable; urgency=low

  * Fix a typo in the common Python exceptions

 -- Evan Broder <broder@mit.edu>  Wed, 12 Nov 2008 05:59:05 -0500

invirt-base (0.0.10) unstable; urgency=low

  * Fix a missing import in the remctl code

 -- Evan Broder <broder@mit.edu>  Wed, 12 Nov 2008 03:30:41 -0500

invirt-base (0.0.9) unstable; urgency=low

  * Move useful Python exceptions into invirt.common
  * Move the remctl code out of the website and into invirt-base

 -- Evan Broder <broder@mit.edu>  Tue, 11 Nov 2008 01:14:42 -0500

invirt-base (0.0.8) unstable; urgency=low

  * invirt-reload should force-reload, not just reload

 -- Greg Price <price@mit.edu>  Mon, 10 Nov 2008 22:45:07 -0500

invirt-base (0.0.7) unstable; urgency=low

  * Move invirt.remote module to invirt-remote-server package

 -- Evan Broder <broder@mit.edu>  Mon, 10 Nov 2008 15:15:29 -0500

invirt-base (0.0.6) unstable; urgency=low

  * Depend on invirt-mail-config on all servers

 -- Evan Broder <broder@mit.edu>  Thu, 06 Nov 2008 22:56:08 -0500

invirt-base (0.0.5) unstable; urgency=low

  * All Invirt servers should have molly-guard installed, to prevent
    accidents

 -- Evan Broder <broder@mit.edu>  Mon, 03 Nov 2008 03:38:04 -0500

invirt-base (0.0.4) unstable; urgency=low

  * We don't have any more sipb-xen- packages, so punt that from the
    invirt-reload script

 -- Evan Broder <broder@mit.edu>  Sat, 01 Nov 2008 04:52:55 -0400

invirt-base (0.0.3) unstable; urgency=low

  * Use invoke-rc.d instead of calling init scripts directly

 -- Evan Broder <broder@mit.edu>  Fri, 31 Oct 2008 06:30:40 -0400

invirt-base (0.0.2) unstable; urgency=low

  * eliminate choice of source and cache files for invirt.config.load and
    invirt-getconf, so we can do what follows
  * look in /etc/invirt/conf.d/ as well as /etc/invirt/master.yaml
  * use run-parts semantics in /etc/invirt/conf.d/

 -- Greg Price <price@mit.edu>  Wed, 29 Oct 2008 00:10:36 -0400

invirt-base (0.0.1) unstable; urgency=low

  * sipb-xen-base -> invirt-base
  * use /invirt for apt URI rather than /sipb-xen

 -- Greg Price <price@mit.edu>  Sun, 25 Oct 2008 00:54:09 -0400

sipb-xen-base (8.29) unstable; urgency=low

  * gen-files.sh: degrade gracefully to plain-old sh

 -- Greg Price <price@mit.edu>  Sat, 25 Oct 2008 20:06:54 -0400

sipb-xen-base (8.28) unstable; urgency=low

  * Factor out more common initscript code:
    std-init.sh replaces the usual Debian boilerplate

 -- Greg Price <price@mit.edu>  Sat, 25 Oct 2008 15:33:08 -0400

sipb-xen-base (8.27) unstable; urgency=low

  * Use invoke-rc.d in invirt-reload so that policy-rc.d is respected

 -- Evan Broder <broder@mit.edu>  Fri, 24 Oct 2008 13:19:49 -0400

sipb-xen-base (8.26) unstable; urgency=low

  * Move invirt-reload to /usr/sbin

 -- Evan Broder <broder@mit.edu>  Fri, 24 Oct 2008 12:53:18 -0400

sipb-xen-base (8.25) unstable; urgency=low

  * Factor out common initscript code, provide it here



=== packages/invirt-cluster-config/debian/changelog ===
invirt-cluster-config (0.0.10) unstable; urgency=low

  * Don't delete old LVM archives

 -- Quentin Smith <quentin@mit.edu>  Tue, 24 Mar 2009 02:21:13 -0400

invirt-cluster-config (0.0.9) unstable; urgency=low

  * Correctly generate cluster.conf for a two-node cluster.

 -- Evan Broder <broder@mit.edu>  Fri, 30 Jan 2009 05:46:04 -0500

invirt-cluster-config (0.0.8) unstable; urgency=low

  * Add Provides and Conflicts lines to debian/control for
    config-package-dev

 -- Evan Broder <broder@mit.edu>  Sat, 24 Jan 2009 20:14:39 -0500

invirt-cluster-config (0.0.7) unstable; urgency=low

  * Don't depend on invirt-storage-config

 -- Greg Price <price@mit.edu>  Sat, 27 Dec 2008 00:37:15 -0500

invirt-cluster-config (0.0.6) unstable; urgency=low

  * Apparently there are more bashism in config-init than I thought

 -- Evan Broder <broder@mit.edu>  Mon, 10 Nov 2008 03:53:30 -0500

invirt-cluster-config (0.0.5) unstable; urgency=low

  * Punt unused /etc/default/cman file

 -- Evan Broder <broder@mit.edu>  Mon, 10 Nov 2008 00:08:59 -0500

invirt-cluster-config (0.0.4) unstable; urgency=low

  * Ignore detecting VGs on guests by not scanning any block device nodes
    in /dev/mapper/xenvg-*

 -- Evan Broder <broder@mit.edu>  Sat, 08 Nov 2008 23:34:06 -0500

invirt-cluster-config (0.0.3) unstable; urgency=low

  * Punt the postinst - it causes more trouble than anything else

 -- Evan Broder <broder@mit.edu>  Thu, 06 Nov 2008 17:58:22 -0500

invirt-cluster-config (0.0.2) unstable; urgency=low

  * Be sure to start clvm as well as cman
  * Correct the transformation script for lvm.conf

 -- Evan Broder <broder@mit.edu>  Tue, 04 Nov 2008 04:39:45 -0500

invirt-cluster-config (0.0.1) unstable; urgency=low

  * Initial Release.

 -- Evan Broder <broder@mit.edu>  Sat, 01 Nov 2008 15:43:41 -0400

=== packages/invirt-images/debian/changelog ===
invirt-images (0.0.2) unstable; urgency=low

  * Architecture: all

 -- Greg Price <price@mit.edu>  Fri, 19 Dec 2008 21:25:40 -0500

invirt-images (0.0.1) unstable; urgency=low

  * Initial Release.

 -- Evan Broder <broder@mit.edu>  Mon, 27 Oct 2008 21:38:15 -0400

=== packages/invirt-remote/debian/changelog ===
invirt-remote (0.4.4) unstable; urgency=low

  [Paul Weaver]
  * Add methods "listuser", "list" to list the VMs belonging to a
    specified user or the requesting user.

 -- Greg Price <price@mit.edu>  Thu, 29 Oct 2009 00:51:58 -0400

invirt-remote (0.4.3) unstable; urgency=low

  * Minor cleanup of 0.4.2

 -- Alex Dehnert <adehnert@mit.edu>  Sat, 24 Oct 2009 17:12:33 -0400

invirt-remote (0.4.2) unstable; urgency=low

  * Add "monocast" method to send remctl requests to exactly one 
    randomly-selected host.
  * Send LVM requests to randomly-selected host for redundancy and
    load-balancing (LP: #307361).

 -- Alex Dehnert <adehnert@mit.edu>  Wed, 07 Oct 2009 03:19:30 -0400

invirt-remote (0.4.1) unstable; urgency=low

  [Paul Weaver]
  * Give a reasonable error message on remctl 'control nonexistent-vm'.

 -- Greg Price <price@mit.edu>  Sun, 20 Sep 2009 16:15:25 -0400

invirt-remote (0.4.0) unstable; urgency=low

  * Instead of running all of the disk-wiping dds simultaneously, run them
    sequentially using a janitor daemon (LP: #411486).

 -- Evan Broder <broder@mit.edu>  Tue, 11 Aug 2009 19:37:55 -0700

invirt-remote (0.3.15) unstable; urgency=low

  * If a particular VM is being autoinstalled, include that in the
    invirt-listvms output.

 -- Evan Broder <broder@mit.edu>  Wed, 10 Jun 2009 14:46:39 -0700

invirt-remote (0.3.14) unstable; urgency=low

  * Maybe we won't be /quite/ so ionice to the dd over a deleted LV.

 -- Evan Broder <broder@mit.edu>  Sun, 03 May 2009 03:46:13 -0400

invirt-remote (0.3.13) unstable; urgency=low

  * I totally failed to patch the right server.

 -- Evan Broder <broder@mit.edu>  Fri, 03 Apr 2009 20:02:34 -0400

invirt-remote (0.3.12) unstable; urgency=low

  * ionice the dd to wipe out deleted LVs so it doesn't hose the system.
  * availability takes way too long to type.

 -- Evan Broder <broder@mit.edu>  Thu, 02 Apr 2009 20:35:17 -0400

invirt-remote (0.3.11) unstable; urgency=low

  * Print errors to stderr on nocreate and nolvm so that the website
    actually notices.

 -- Evan Broder <broder@mit.edu>  Wed, 18 Mar 2009 19:37:38 -0400

invirt-remote (0.3.10) unstable; urgency=low

  * Let invirt-remote-proxy know all the possible subcommands.
  * Accept /etc/invirt/{nocreate,nolvm} on remote-server.

 -- Greg Price <price@mit.edu>  Mon, 16 Mar 2009 21:22:13 -0400

invirt-remote (0.3.9) unstable; urgency=low

  * Include a CDROM in listvms, if there is one.

 -- Evan Broder <broder@mit.edu>  Thu, 12 Mar 2009 17:20:15 -0400

invirt-remote (0.3.8) unstable; urgency=low

  * Allow anyone on the adminacl to issue web remctls.

 -- Evan Broder <broder@mit.edu>  Fri, 27 Feb 2009 21:28:19 -0500

invirt-remote (0.3.7) unstable; urgency=low

  * Add an availability remctl for when we get around to letting us make
    web remctls.

 -- Evan Broder <broder@mit.edu>  Thu, 26 Feb 2009 01:04:07 -0500

invirt-remote (0.3.6) unstable; urgency=low

  * Don't confuse KB with KiB, or MB with MiB.

 -- Anders Kaseorg <andersk@mit.edu>  Tue, 17 Feb 2009 04:58:06 -0500

invirt-remote (0.3.5) unstable; urgency=low

  * updated quota support to refer to renamed owner table columns

 -- Peter A. Iannucci <iannucci@mit.edu>  Tue, 17 Feb 2009 02:13:44 -0500

invirt-remote (0.3.4) unstable; urgency=low

  * modified host/usr/sbin/invirt-availability and invirt-vmcontrol to stat
    /etc/invirt/nocreate; if it exists, they advertise zero free memory and
    refuse to create VMs
  * added memory quota validation to invirt-remote-create

 -- Peter A. Iannucci <iannucci@mit.edu>  Tue, 17 Feb 2009 01:31:20 -0500

invirt-remote (0.3.3) unstable; urgency=low

  * added remctl web availability to calculate memory available to new VMs
  * removed remctl web info

 -- Peter A. Iannucci <iannucci@mit.edu>  Thu, 12 Feb 2009 23:26:24 -0500

invirt-remote (0.3.2) unstable; urgency=low

  * in invirt-remote-listvms, ignore another way VMs can disappear

 -- Greg Price <price@mit.edu>  Thu, 05 Feb 2009 13:43:46 -0500

invirt-remote (0.3.1) unstable; urgency=low

  * invirt.remote.bcast: provide stderr text when remctl fails
  * create /etc/remctl/remconffs in -server, not -host

 -- Greg Price <price@mit.edu>  Sat, 31 Jan 2009 14:33:08 -0500

invirt-remote (0.3.0) unstable; urgency=low

  * Instead of immediately deleting LVs, overwrite them with zeros to
    avoid leaking information from one VM to another.

 -- Evan Broder <broder@mit.edu>  Wed, 21 Jan 2009 02:57:30 -0500

invirt-remote (0.2.2) unstable; urgency=low

  * config.{authn[0] => kerberos}.realm

 -- Evan Broder <broder@mit.edu>  Wed, 10 Dec 2008 23:18:45 -0500

invirt-remote (0.2.1) unstable; urgency=low

  * Be sure to create /etc/remctl/remconffs

 -- Evan Broder <broder@mit.edu>  Mon, 08 Dec 2008 09:25:43 -0500

invirt-remote (0.2.0) unstable; urgency=low

  * Merge invirt-remote-server and invirt-remote-host into invirt-remote
    (LP: #305682)

 -- Evan Broder <broder@mit.edu>  Sun, 07 Dec 2008 18:33:59 -0500

invirt-remote-server (0.1.6) unstable; urgency=low

  * Fix a gen_config -> gen_files

 -- Greg Price <price@mit.edu>  Sat, 22 Nov 2008 19:27:36 -0500

invirt-remote-server (0.1.5) unstable; urgency=low

  * Fix a typo in calling /lib/init/gen-files.sh

 -- Evan Broder <broder@mit.edu>  Sat, 22 Nov 2008 05:43:06 -0500

invirt-remote-server (0.1.4) unstable; urgency=low

  * Steal some init script ideas from debathena-pyhesiodfs

 -- Evan Broder <broder@mit.edu>  Sat, 22 Nov 2008 05:31:49 -0500

invirt-remote-server (0.1.3) unstable; urgency=low

  * Switched to using "raw" select expressions instead of using the ORM;
    allows the same speed as the old object-based system but without any
    caching necessary.

 -- Quentin Smith <quentin@mit.edu>  Fri, 21 Nov 2008 04:15:50 -0500

invirt-remote-server (0.1.2) unstable; urgency=low

  * Update remctl help with new reboot functionality

 -- Evan Broder <broder@mit.edu>  Thu, 20 Nov 2008 10:57:39 -0500

invirt-remote-server (0.1.1) unstable; urgency=low



=== packages/invirt-xen-config/debian/changelog ===
invirt-xen-config (0.0.26) unstable; urgency=low

  * Kill the moocow password for the VNC server. Not setting this variable
    causes VNC clients to not prompt for a password instead.

 -- Evan Broder <broder@mit.edu>  Mon, 28 Sep 2009 21:20:21 -0400

invirt-xen-config (0.0.25) unstable; urgency=low

  * Some of the autoinstallers want a lot of RAM. Give it to them.

 -- Evan Broder <broder@mit.edu>  Sun, 26 Jul 2009 20:35:13 -0700

invirt-xen-config (0.0.24) unstable; urgency=low

  * Prepare for a Xen 3.3 world by allowing either 3.2 or 3.3 packages.

 -- Evan Broder <broder@mit.edu>  Fri, 20 Feb 2009 17:36:23 -0500

invirt-xen-config (0.0.23) unstable; urgency=low

  * revert 0.0.22
  * use run-parts --list to get a tighter set of sysvm config files

 -- Greg Price <price@mit.edu>  Tue, 03 Feb 2009 00:20:03 -0500

invirt-xen-config (0.0.22) unstable; urgency=low

  * Correctly calculate both the list of sysvms to boot and the list of
    Mako templates to render in the init script.

 -- Evan Broder <broder@mit.edu>  Mon, 02 Feb 2009 17:30:51 -0500

invirt-xen-config (0.0.21) unstable; urgency=low

  * Move sysvms/* into xvm-prodconfig from invirt-xen-config
  * genericize sysvm startup to glob /etc/xen/sysvms/s_*
  * eth2 -> config.xen.network.iface

 -- Greg Price <price@mit.edu>  Sat, 31 Jan 2009 18:40:20 -0500

invirt-xen-config (0.0.20) unstable; urgency=low

  * Add Provides and Conflicts lines to debian/control for
    config-package-dev

 -- Evan Broder <broder@mit.edu>  Sat, 24 Jan 2009 20:16:06 -0500

invirt-xen-config (0.0.19) unstable; urgency=low

  * prune tempfile, subprocess imports from invirt-database
    (subprocess!  wow, that was a hack.  that was also over a year ago, r223.)

 -- Greg Price <price@mit.edu>  Tue, 09 Dec 2008 00:25:56 -0500

invirt-xen-config (0.0.18) unstable; urgency=low

  * Explicitly grab the short form of the hostname to assemble the backend
    hostname

 -- Evan Broder <broder@mit.edu>  Wed, 26 Nov 2008 01:27:07 -0500

invirt-xen-config (0.0.17) unstable; urgency=low

  * Pin libxen3 to the hardy repository so it doesn't get pulled from
    hardy-backports until we're ready to upgrade to Xen 3.3

 -- Evan Broder <broder@mit.edu>  Sat, 22 Nov 2008 19:19:07 -0500

invirt-xen-config (0.0.16) unstable; urgency=low

  * Pick the kernel and initrd for the autoinstaller based on the kernel
    the dom0 is currently running

 -- Evan Broder <broder@mit.edu>  Sat, 15 Nov 2008 23:45:30 -0500

invirt-xen-config (0.0.15) unstable; urgency=low

  * Set the max memory to a really high number so we can bump it for users
  * Pass the correct networking device to vif-invirtroute

 -- Evan Broder <broder@mit.edu>  Fri, 14 Nov 2008 00:03:47 -0500

invirt-xen-config (0.0.14) unstable; urgency=low

  * Throw away any output from LVM commands while starting sysvms
  * Correctly delete the lock LVs

 -- Evan Broder <broder@mit.edu>  Mon, 10 Nov 2008 03:57:09 -0500

invirt-xen-config (0.0.13) unstable; urgency=low

  * Use a lock LV when attempting to start sysvms since exclusive LV
    activation has useless semantics

 -- Evan Broder <broder@mit.edu>  Mon, 10 Nov 2008 03:15:31 -0500

invirt-xen-config (0.0.12) unstable; urgency=low

  * Add missing close paren to init script

 -- Evan Broder <broder@mit.edu>  Fri, 31 Oct 2008 09:50:47 -0400

invirt-xen-config (0.0.11) unstable; urgency=low

  * Automatically startup sysvms if they're not running already

 -- Evan Broder <broder@mit.edu>  Fri, 31 Oct 2008 09:47:15 -0400

invirt-xen-config (0.0.10) unstable; urgency=low

  * Generate config files for sysvms

 -- Evan Broder <broder@mit.edu>  Fri, 31 Oct 2008 07:40:13 -0400

invirt-xen-config (0.0.9) unstable; urgency=low

  * don't try to disable tx checksums for HVMs; it errors out

 -- Greg Price <price@mit.edu>  Wed, 29 Oct 2008 01:26:07 -0400

invirt-xen-config (0.0.8) unstable; urgency=low

  * sipb-xen-base -> invirt-base

 -- Evan Broder <broder@mit.edu>  Tue, 28 Oct 2008 04:23:38 -0400

invirt-xen-config (0.0.7) unstable; urgency=low

  * Clarify description to distinguish from invirt-host-master

 -- Greg Price <price@mit.edu>  Sat, 25 Oct 2008 21:16:51 -0400

invirt-xen-config (0.0.6) unstable; urgency=low

  * sipb-xen-database-common -> invirt-database

 -- Evan Broder <broder@mit.edu>  Sat, 25 Oct 2008 21:03:33 -0400

invirt-xen-config (0.0.5) unstable; urgency=low

  * Give the init script a less weird sounding description

 -- Evan Broder <broder@mit.edu>  Sat, 25 Oct 2008 19:11:28 -0400

invirt-xen-config (0.0.4) unstable; urgency=low

  * Another typo in the init script

 -- Evan Broder <broder@mit.edu>  Sat, 25 Oct 2008 19:07:32 -0400

invirt-xen-config (0.0.3) unstable; urgency=low

  * Some small fixes in the init script

 -- Evan Broder <broder@mit.edu>  Sat, 25 Oct 2008 19:03:12 -0400

invirt-xen-config (0.0.2) unstable; urgency=low

  * Whoops - add the dependencies for the old sipb-xen-database-client

 -- Evan Broder <broder@mit.edu>  Sat, 25 Oct 2008 18:38:56 -0400

invirt-xen-config (0.0.1) unstable; urgency=low

  * Rename sipb-xen-dom0 -> invirt-xen-config
  * Rearrange the source package
  * Divert /etc/xen/qemu-ifup, since it existed and we've been scribbling
    over it
  * Generate /etc/xen/xend-config.sxp
  * Move the invirt-database Xen config script into this package

 -- Evan Broder <broder@mit.edu>  Sat, 25 Oct 2008 17:52:39 -0400

sipb-xen-dom0 (2.10) unstable; urgency=low

  * Fix DHCP checksum error for ParaVMs

 -- Evan Broder <broder@mit.edu>  Sun, 19 Oct 2008 22:12:09 -0400

sipb-xen-dom0 (2.9.1) unstable; urgency=low

  * Whoops - was slightly too vicious with the cuts to qemu-dm-sipb

 -- Evan Broder <broder@mit.edu>  Sun, 19 Oct 2008 01:55:41 -0400

sipb-xen-dom0 (2.9) unstable; urgency=low

  * Move the qemu-ifup script to the location where it's now expected to
    be.
  * Clear out some debugging code from qemu-dm-sipb

 -- Evan Broder <broder@mit.edu>  Sun, 19 Oct 2008 01:39:43 -0400



=== packages/xvm-prodconfig/debian/changelog ===
xvm-prodconfig (1.1.15) unstable; urgency=low

  * Add configuration for the git repositories.

 -- Evan Broder <broder@mit.edu>  Sun, 11 Oct 2009 18:34:39 -0400

xvm-prodconfig (1.1.14) unstable; urgency=low

  * Add a CNAME to the zone file to make Vista registration work.

 -- Evan Broder <broder@mit.edu>  Sun, 21 Jun 2009 21:11:10 -0700

xvm-prodconfig (1.1.13) unstable; urgency=low

  * Add a mail.contact entry for who to forward mail to.

 -- Evan Broder <broder@mit.edu>  Sat, 28 Mar 2009 19:52:11 -0400

xvm-prodconfig (1.1.12) unstable; urgency=low

  * Make adminacl a global setting.
  * Use a common value for the various contact fields.

 -- Evan Broder <broder@mit.edu>  Fri, 27 Feb 2009 15:45:46 -0500

xvm-prodconfig (1.1.11) unstable; urgency=low

  * Add 2.181.18.in-addr.arpa to the list of domains we are authoritative for

 -- Quentin Smith <quentin@mit.edu>  Fri, 27 Feb 2009 03:34:39 -0500

xvm-prodconfig (1.1.10) unstable; urgency=low

  * Specify whether to authenticate PRDB lookups for each AFS cell.

 -- Evan Broder <broder@mit.edu>  Sat, 14 Feb 2009 22:08:22 -0500

xvm-prodconfig (1.1.9) unstable; urgency=low

  * Ship the sysvm Xen config files themselves, rather than Mako templates.

 -- Greg Price <price@mit.edu>  Tue, 03 Feb 2009 01:20:16 -0500

xvm-prodconfig (1.1.8) unstable; urgency=low

  * Move sysvms/* into xvm-prodconfig from invirt-xen-config
  * xen.network.iface = eth2

 -- Greg Price <price@mit.edu>  Sat, 31 Jan 2009 04:45:41 -0500

xvm-prodconfig (1.1.7) unstable; urgency=low

  * Activate the invirt-reload trigger instead of running invirt-reload
    directly

 -- Evan Broder <broder@mit.edu>  Mon, 26 Jan 2009 08:09:32 -0500

xvm-prodconfig (1.1.6) unstable; urgency=low

  * Add textbooks.xvm.mit.edu CNAME for testing for APO.

 -- Evan Broder <broder@mit.edu>  Sun, 25 Jan 2009 20:07:41 -0500

xvm-prodconfig (1.1.5) unstable; urgency=low

  * add sipb.mit.edu as another authz entry

 -- Greg Price <price@mit.edu>  Tue, 30 Dec 2008 17:44:41 -0500

xvm-prodconfig (1.1.4) unstable; urgency=low

  * config.kerberos shouldn't be a list

 -- Evan Broder <broder@mit.edu>  Wed, 10 Dec 2008 23:52:15 -0500

xvm-prodconfig (1.1.3) unstable; urgency=low

  * Alphabetize the sections of master.yaml so they make a little more
    sense
  * Move authn section to kerberos

 -- Evan Broder <broder@mit.edu>  Wed, 10 Dec 2008 21:49:16 -0500

xvm-prodconfig (1.1.2) unstable; urgency=low

  * Reserve "help" because `remctl remote control help` wouldn't work

 -- Evan Broder <broder@mit.edu>  Tue, 09 Dec 2008 19:46:19 -0500

xvm-prodconfig (1.1.1) unstable; urgency=low

  * Move the .k5login for the production cluster into this package
  * Don't use explicit paths in the postinst
  * Cleanup some lintian warnings about the control file
  * Override the lintian complaint about installing files into /root

 -- Evan Broder <broder@mit.edu>  Sat, 06 Dec 2008 14:57:24 -0500

xvm-prodconfig (1.1.0) unstable; urgency=low

  * Add a specification for a monitoring host (in our case, syn)

 -- Evan Broder <broder@mit.edu>  Sat, 22 Nov 2008 05:51:35 -0500

xvm-prodconfig (1.0.4) unstable; urgency=low

  * Remove the stray dot from the config

 -- Evan Broder <broder@mit.edu>  Sat, 15 Nov 2008 23:35:03 -0500

xvm-prodconfig (1.0.3) unstable; urgency=low

  * The trac URI doesn't want a trailing slash

 -- Evan Broder <broder@mit.edu>  Sat, 15 Nov 2008 23:28:58 -0500

xvm-prodconfig (1.0.2) unstable; urgency=low

  * Move trac over to scripts

 -- Evan Broder <broder@mit.edu>  Sat, 15 Nov 2008 23:13:33 -0500

xvm-prodconfig (1.0.1) unstable; urgency=low

  * Forgot to change the webacl

 -- Evan Broder <broder@mit.edu>  Sat, 15 Nov 2008 11:12:09 -0500

xvm-prodconfig (1.0.0) unstable; urgency=low

  * Prod launch!

 -- Evan Broder <broder@mit.edu>  Fri, 14 Nov 2008 14:34:50 -0500

xvm-prodconfig (0.21) unstable; urgency=low

  * Add the two remaining hosts - we can comment them out on
    xvm-remote-dev until they're activated

 -- Evan Broder <broder@mit.edu>  Tue, 04 Nov 2008 04:10:22 -0500

xvm-prodconfig (0.20) unstable; urgency=low

  * Take advantage of multi-word zonefile entries by adding explanations
    for our reservations

 -- Evan Broder <broder@mit.edu>  Sat, 01 Nov 2008 04:06:52 -0400

xvm-prodconfig (0.19.2) unstable; urgency=low

  * Zone files use semicolons for comments, not hashes

 -- Evan Broder <broder@mit.edu>  Sat, 01 Nov 2008 02:16:08 -0400

xvm-prodconfig (0.19.1) unstable; urgency=low

  * Forgot to actually install the zone file

 -- Evan Broder <broder@mit.edu>  Sat, 01 Nov 2008 02:10:16 -0400

xvm-prodconfig (0.19) unstable; urgency=low

  * Rearrange package to not have useless files/ tree
  * Add a default zone file with overrides of names we don't want people
    taking

 -- Evan Broder <broder@mit.edu>  Sat, 01 Nov 2008 01:48:45 -0400

xvm-prodconfig (0.18) unstable; urgency=low

  * Punt sysvm configs - they're in invirt-xen-config now

 -- Evan Broder <broder@mit.edu>  Fri, 31 Oct 2008 07:45:11 -0400

xvm-prodconfig (0.17.5) unstable; urgency=low

  * sipb-xen-base -> invirt-base

 -- Evan Broder <broder@mit.edu>  Tue, 28 Oct 2008 04:23:44 -0400

xvm-prodconfig (0.17.4) unstable; urgency=low

  * xvm-2 -> xvm-dev

 -- Evan Broder <broder@mit.edu>  Mon, 27 Oct 2008 14:26:14 -0400

xvm-prodconfig (0.17.3) unstable; urgency=low

  * New database name/auth info thanks to sipb-xen-database-server
    changing to invirt-database-server

 -- Evan Broder <broder@mit.edu>  Sat, 25 Oct 2008 21:05:41 -0400

xvm-prodconfig (0.17.2) unstable; urgency=low

  * name the web admin ACL more descriptively as system:xvm-webacl

 -- Greg Price <price@mit.edu>  Tue, 21 Oct 2008 23:33:42 -0400

xvm-prodconfig (0.17.1) unstable; urgency=low

  * Oh yeah - their IP addresses changed to

 -- Evan Broder <broder@mit.edu>  Sun, 19 Oct 2008 14:46:36 -0400

xvm-prodconfig (0.17) unstable; urgency=low

  * Move the console and remote servers to more sensible names



=== packages/xvm-db-backup/debian/control ===
Source: xvm-db-backup
Section: servers
Priority: extra
Maintainer: SIPB XVM Project <xvm@mit.edu>
Build-Depends: cdbs, debhelper (>= 5)
Standards-Version: 3.8.0

Package: xvm-db-backup
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends},
 debathena-kerberos-config, debathena-afs-config,
 openafs-client, postgresql-client-common, cron
Description: Configure the database backup on XVM servers
 Backup the XVM database to AFS hourly

=== packages/xvm-meta/debian/control ===
Source: xvm-meta
Section: servers
Priority: extra
Maintainer: SIPB XVM Project <xvm@mit.edu>
Build-Depends: cdbs, debhelper (>= 5)
Standards-Version: 3.8.0

Package: xvm-host
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, invirt-host-master,
 xvm-munin-host-config, invirt-cluster-config, xvm-iscsi-config, xvm-misc-config
Description: Metapackage for XVM hosts
 This package installs the necessary software to run an XVM host.

Package: xvm-master
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, invirt-database-server,
 invirt-dev, invirt-web,
 xvm-munin-master-config, xvm-db-backup, xvm-misc-config
Description: Metapackage for the XVM master VM
 This package installs the necessary software for the XVM master VM,
 which includes the database server and the web server.

Package: xvm-console
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, invirt-console-server,
 xvm-munin-console-config, xvm-misc-config
Description: Metapackage for the XVM console VM
 This package installs the necessary software for the XVM console
 server.

Package: xvm-remote
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, invirt-remote-server,
 xvm-munin-remote-config, xvm-misc-config
Description: Metapackage for the VM remote VM
 This package installs the necessary software for the XVM remctl proxy.

Package: xvm-misc-config
Architecture: all
Depends: xvm-mail-config, molly-guard, apticron
Description: Miscellaneous XVM configuration
 This package configures some things every XVM machine needs.

=== packages/xvm-munin-config/debian/rules ===
#!/usr/bin/make -f

DEB_DIVERT_EXTENSION = .xvm

DEB_DIVERT_FILES_xvm-munin-host-config += \
	/etc/munin/munin-node.conf.xvm
DEB_DIVERT_FILES_xvm-munin-master-config += \
	/etc/munin/munin-node.conf.xvm
DEB_DIVERT_FILES_xvm-munin-remote-config += \
	/etc/munin/munin-node.conf.xvm
DEB_DIVERT_FILES_xvm-munin-console-config += \
	/etc/munin/munin-node.conf.xvm

include /usr/share/cdbs/1/rules/config-package.mk
include /usr/share/cdbs/1/rules/debhelper.mk

common-build-indep:: debian/munin-node.conf.xvm.mako

binary-post-install/%::
	mkdir -p $(DEB_DESTDIR)/etc/munin
	touch $(DEB_DESTDIR)/etc/munin/munin-node.conf.xvm

debian/munin-node.conf.xvm.mako: $(call debian_check_files,/etc/munin/munin-node.conf)
	debian/transform_munin-node.conf.xvm.mako < $< > $@
